# frozen_string_literal: true

#
# Author:: Jonathan Hartman (<jonathan.hartman@socrata.com>)
#
# Copyright (C) 2018, Socrata, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

module Kitchen
  module Microwave
    # The verifier config is just a hash with a couple static values.
    #
    # @author Jonathan Hartman <jonathan.hartman@socrata.com>
    class Verifier < Hash
      #
      # Configure the verifier section to use inspec and point at
      # `/opt/verifier` for Dokken.
      #
      # @return [Kitchen::Microwave::Verifier] the new verifier object
      #
      def initialize
        self['name'] = 'inspec'
        self['root_path'] = '/opt/verifier'
      end
    end
  end
end
